Error en prepare() popcorntime

Dudas al crear un paquete? cualquier problema que tengas con makepkg comentalo aca!
Responder
b0nete
Novato
Mensajes: 6
Registrado: 26 Sep 2014, 19:31

Error en prepare() popcorntime

Mensaje por b0nete » 06 Ene 2015, 20:49

Hola estoy intentando instalar popcorntime pero me dice que se produjo un error en prepare(), a ver si alguien me puede dar una mano..

Código: Seleccionar todo

[[email protected] ~]$ yaourt -S popcorntime

==> Descargando PKGBUILD para popcorntime desde AUR...
x .SRCINFO
x PKGBUILD
x popcorntime.install
x popcorntime.desktop
Comment by hobarrera  (2014-12-30 14:49)
@davidva: No, the libudev issue is not an upstream issue. It's because we're using a binary version of node-webkit, instead of building our own, and that binary links to libudev.so.0.
If we built our own, the issue would be gone, but, AFAIK, the build process requires several hundread megabytes of source, and takes several hours to build.

The node-webkit build has some custom modifications made by them as well (I recall they were discussed in a github issue at the time). IIRC, it had something to do with additional video format supports (mpg?).

Comment by xantares  (2014-12-31 12:10)
0.3.6 was tagged, you may want to add net-tools as opdepends, check the git package

Comment by r1pp3rj4ck  (2014-12-31 12:29)
Thanks, xantares! What does this package use net-tools for? I can't find it.

Comment by hugao  (2015-01-01 18:12)
@r1pp3rj4ck the net-tools is used for the new VPN implementation on Popcorn Time. It's available on the official repositories, but because is a optional dependency when you make the packages isn't installed, if you want to install it just do pacman -S net-tools

Comment by skiwi  (2015-01-04 20:36)
I think git should be added as dependency. thanks for the package!

popcorntime 0.3.6-1  (mar mar 11 17:16:55 ART 2014)
(Paquete sin soporte: ¡podría ser peligroso!)
==> dependencias de popcorntime:
 - alsa-lib (ya instalado)
 - gconf (ya instalado)
 - gtk2 (ya instalado)
 - nss (ya instalado)
 - ttf-ms-fonts (ya instalado)
 - libxtst (ya instalado)
 - nodejs-grunt-cli (ya instalado)
 - nodejs-bower (ya instalado)


==> Continuar compilando popcorntime? [S/n]
==> ---------------------------------------
==> 
==> Compilando e instalando el paquete
==> Creando el paquete: popcorntime 0.3.6-1 (mar ene  6 20:36:40 ART 2015)
==> Resolviendo dependencias...
==> Verificando conflictos...
==> Recibiendo fuentes...
  -> Se encontró popcorntime.install
  -> Se encontró popcorntime.desktop
  -> Descargando popcorn-app-v0.3.6.zip...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 1306k    0 1306k    0     0  57148      0 --:--:--  0:00:23 --:--:--  264k
  -> Descargando popcorn-i18n-master.zip...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  507k    0  507k    0     0   103k      0 --:--:--  0:00:04 --:--:--  131k
  -> Descargando popcorn-themes-master.zip...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 14790    0 14790    0     0   8401      0 --:--:--  0:00:01 --:--:--  8408
  -> Descargando node-webkit-v0.9.2-linux-x64.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 44.5M  100 44.5M    0     0   114k      0  0:06:39  0:06:39 --:--:--  814k
==> Validando el archivo fuente con md5sums...
    popcorntime.install ... Aprobado
    popcorntime.desktop ... Aprobado
    popcorn-app-v0.3.6.zip ... Aprobado
    popcorn-i18n-master.zip ... Saltando
    popcorn-themes-master.zip ... Saltando
    node-webkit-v0.9.2-linux-x64.tar.gz ... Aprobado
==> Descomprimiendo fuentes...
  -> Extrayendo node-webkit-v0.9.2-linux-x64.tar.gz con bsdtar
==> Iniciando prepare()...
npm WARN `git config --get remote.origin.url` returned wrong result (https://git.popcorntime.io/stash/scm/mir/chromecast-js.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result (https://git.popcorntime.io/stash/scm/mir/chromecast-js.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result (https://git.popcorntime.io/stash/scm/mir/dlna-js.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result (https://git.popcorntime.io/stash/scm/mir/dlna-js.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result (https://github.com/thibauts/node-upnp-mediarenderer-client.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result (https://github.com/thibauts/node-upnp-mediarenderer-client.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result (https://git.popcorntime.io/stash/scm/mir/peerflix.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result (https://git.popcorntime.io/stash/scm/mir/peerflix.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result (https://git.popcorntime.io/stash/scm/thrd/popcorn-opensubtitles.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result (https://git.popcorntime.io/stash/scm/thrd/popcorn-opensubtitles.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result (https://git.popcorntime.io/stash/scm/mir/node-airplay-js.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result (https://git.popcorntime.io/stash/scm/mir/node-airplay-js.git) undefined
npm ERR! git clone https://git.popcorntime.io/stash/scm/mir/chromecast-js.git undefined
npm ERR! git clone https://git.popcorntime.io/stash/scm/mir/chromecast-js.git undefined
npm ERR! git clone https://git.popcorntime.io/stash/scm/mir/dlna-js.git undefined
npm ERR! git clone https://git.popcorntime.io/stash/scm/mir/dlna-js.git undefined
npm ERR! git clone https://github.com/thibauts/node-upnp-mediarenderer-client.git undefined
npm ERR! git clone https://github.com/thibauts/node-upnp-mediarenderer-client.git undefined
npm ERR! git clone https://git.popcorntime.io/stash/scm/mir/peerflix.git undefined
npm ERR! git clone https://git.popcorntime.io/stash/scm/mir/peerflix.git undefined
npm ERR! git clone https://git.popcorntime.io/stash/scm/thrd/popcorn-opensubtitles.git undefined
npm ERR! git clone https://git.popcorntime.io/stash/scm/thrd/popcorn-opensubtitles.git undefined
npm ERR! git clone https://git.popcorntime.io/stash/scm/mir/node-airplay-js.git undefined
npm ERR! git clone https://git.popcorntime.io/stash/scm/mir/node-airplay-js.git undefined
npm ERR! Linux 3.16.7.3-1-MANJARO
npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install"
npm ERR! node v0.10.35
npm ERR! npm  v2.1.17
npm ERR! code ENOGIT

npm ERR! not found: git
npm ERR! 
npm ERR! Failed using git.
npm ERR! This is most likely not a problem with npm itself.
npm ERR! Please check if you have git installed and in your PATH.

npm ERR! Please include the following file with any support request:
npm ERR!     /tmp/yaourt-tmp-b0nete/aur-popcorntime/src/popcorn-app/npm-debug.log
==> ERROR: Se produjo un error en prepare().
    Cancelando...
==> ERROR: Makepkg no ha podido compilar popcorntime.
==> ¿Reiniciar la compilación de popcorntime? [s/N]
==> -----------------------------------------------
==> 

Avatar de Usuario
madek
Equipo Hispano
Equipo Hispano
Mensajes: 2149
Registrado: 03 Sep 2009, 12:50
Ubicación: Puente Alto, Chile

Re: Error en prepare() popcorntime

Mensaje por madek » 07 Ene 2015, 14:57

el error esta equi

Código: Seleccionar todo

npm ERR! not found: git
tienes que instalar git, y luego tratar nuevamente, lamentablemente en el PKGBUILD falta incluirlo como dependencia
Asi hacemos las cosas => The Arch Way
Judd Vinet "Arch Linux es lo que tú haces de él"
Imagen

Responder